from distutils.core import setup
import os, fnmatch

def find_package_data_files(directory):
    for root, dirs, files in os.walk(directory):
        for basename in files:
            if fnmatch.fnmatch(basename, '*'):
                filename = os.path.join(root, basename)
                yield filename.replace('cf/', '', 1)

version            = '0.9.3.1'
packages           = ['cf']
etc_files          = [f for f in find_package_data_files('cf/etc')]
package_data_files = [f for f in find_package_data_files('cf/docs')]
test_files         = [f for f in find_package_data_files('test')]
examples_files     = [f for f in find_package_data_files('examples')]

setup(name = "cf",
  version      = version,
  description  = "Python interface to the proposed CF-netCDF data model",
  author       = "David Hassell",
  author_email = "hasseldc@gmail.com",
  url          = "http://code.google.com/p/cf-python",
  download_url = "http://code.google.com/p/cf-python/downloads/list",
  platforms    = ["any"],
  license      = ["OSI Approved"],
  keywords     = ['cf', 'numpy','netcdf','data','science','network','oceanography','meteorology','climate'],
  classifiers  = ["Development Status :: 3 - Alpha",
                 "Intended Audience :: Science/Research", 
                 "License :: OSI Approved", 
                 "Topic :: Software Development :: Libraries :: Python Modules",
                 "Topic :: System :: Archiving :: Compression",
                 "Operating System :: OS Independent"],
  packages     = packages,
  package_data = {'cf': package_data_files,
                  '.' : test_files,
                  '.' : examples_files,
                  },
  )
